org.apache.nutch.net.protocols

## Class ProtocolLogUtil

- java.lang.Object
- - org.apache.nutch.net.protocols.ProtocolLogUtil

- All Implemented Interfaces:
    Configurable

      public class ProtocolLogUtil
      extends Object
      implements Configurable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HTTP_LOG_SUPPRESSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolLogUtil()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `getConf()`
    `boolean` | `logShort(Throwable t)` Return true if exception is configured to be logged as short message without stack trace, usually done for frequent exceptions with obvious reasons (e.g., UnknownHostException), configurable by `http.log.exceptions.suppress.stack`
    `void` | `setConf(Configuration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTTP_LOG_SUPPRESSION

          public static final String HTTP_LOG_SUPPRESSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProtocolLogUtil

          public ProtocolLogUtil()

  - ### Method Detail

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`

    - #### setConf

          public void setConf(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`

    - #### logShort

          public boolean logShort(Throwable t)

      Return true if exception is configured to be logged as short message without stack trace, usually done for frequent exceptions with obvious reasons (e.g., UnknownHostException), configurable by `http.log.exceptions.suppress.stack`

Copyright © 2021 The Apache Software Foundation